package com.zcloud.service.majordangersource;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：重大危险源
 * 作者：luoxiaobao
 * 时间：2022-03-22
 * 官网：www.zcloudchina.com
 */
public interface MajorDangerSourceService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception;


	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd)throws Exception;

	/**
	 * 查看(根据所选ID获取数据)
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	PageData showById(PageData pd)throws Exception;

	/**
	 * 列表（实时监控获取所有的重大危险源）
	 * @param pd
	 * @return
	 */
	List<PageData> findRealTimeMonitoringListAll(PageData pd)throws Exception;

	/**
	 * 展示（获取重大危险源信息及实时监测数据）
	 * @param pd
	 * @return
	 * @throws Exception
	 */
    PageData findRealtimeInfo(PageData pd)throws Exception;

	/**
	 * 重大危险源统计数据（重大危险源【COUNTSOURCE】，检测点数【COUNTSENSOR】，检测天数【COUNTDAYS】）
	 * @param pd
	 * @return
	 */
	PageData statisticsMajorDangerSource(PageData pd)throws Exception;

	/**
	 * 分类统计各申报级别的重大危险源数
	 * @param pd
	 * @return
	 */
	List<PageData> statisticsGroupLevel(PageData pd)throws Exception;
}

